package domain

type AlibabaHmMarketingItembuygiftAdditemMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   报名活动成功的商品详情     */
	Data *AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku `json:"data,omitempty" `

	/*
	   是否报名成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftAdditemMarketResult) SetMessage(v string) *AlibabaHmMarketingItembuygiftAdditemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftAdditemMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItembuygiftAdditemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftAdditemMarketResult) SetData(v AlibabaHmMarketingItembuygiftAdditemItemBuyGiftSku) *AlibabaHmMarketingItembuygiftAdditemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftAdditemMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItembuygiftAdditemMarketResult {
	s.Success = &v
	return s
}
